Package org.apache.tools.ant.taskdefs.modules

# Class Link.ReleaseInfoKey

java.lang.Object
org.apache.tools.ant.taskdefs.modules.Link.ReleaseInfoKey

Enclosing class:
  Link

    public class Link.ReleaseInfoKey
    extends java.lang.Object

Grandchild element representing deletable key in a linked image's release properties.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ReleaseInfoKey()` | Creates a new, unconfigured element.
`ReleaseInfoKey​(java.lang.String key)` | Creates a new element with the specified key.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getKey()` | Attribute holding the release info property key to delete.
`void` | `setKey​(java.lang.String key)` | Sets attribute containing property key to delete from linked image's release info.
`void` | `validate()` | Verifies this element's state is valid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReleaseInfoKey

public ReleaseInfoKey()
Creates a new, unconfigured element.

### ReleaseInfoKey

public ReleaseInfoKey​(java.lang.String key)
Creates a new element with the specified key.

Parameters:
  `key` - property key to delete from release info

## Method Details

### getKey

public java.lang.String getKey()
Attribute holding the release info property key to delete.

Returns:
  property key to be deleted

### setKey

public void setKey​(java.lang.String key)
Sets attribute containing property key to delete from linked image's release info.

Parameters:
  `key` - propert key to be deleted

### validate

public void validate()
Verifies this element's state is valid.

Throws:
  `BuildException` - if key is not set